<form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
    <div>
        <jhi-alert-error></jhi-alert-error>
        <div class="row">
        <div class="col-4">
            <label class="" jhiTranslate="winpharmApp.ligneVente.produit">Produit</label>
            <p-autoComplete [(ngModel)]="autoProduit" field="designation" [suggestions]="results"
                (completeMethod)="search($event)" [dropdownMode]="'current'" [immutable]="false"
                formControlName="produit" class="" required></p-autoComplete>
            <div
                *ngIf="editForm.get('produit').invalid && (editForm.get('produit').dirty || editForm.get('produit').touched)">
                <small class="form-text text-danger" *ngIf="editForm.get('produit').errors.required"
                    jhiTranslate="entity.validation.required">
                    This field is required.
                </small>
            </div>
        </div>
        <div class="form-group col-4">
            <label class="form-control-label" jhiTranslate="winpharmApp.ligneVente.quantite"
                for="field_quantite">Quantite</label>
            <input type="number" class="form-control" name="quantite" value="1" id="field_quantite" formControlName="quantite" />
            <div
                *ngIf="editForm.get('quantite').invalid && (editForm.get('quantite').dirty || editForm.get('quantite').touched)">
                <small class="form-text text-danger" *ngIf="editForm.get('quantite').errors.required"
                    jhiTranslate="entity.validation.required">
                    This field is required.
                </small>
                <small class="form-text text-danger" *ngIf="editForm.get('quantite').errors.min"
                    jhiTranslate="entity.validation.min" [translateValues]="{ min: 1 }">
                    This field should be at least 1.
                </small>
                <small class="form-text text-danger" [hidden]="!editForm.get('quantite')?.errors?.number"
                    jhiTranslate="entity.validation.number">
                    This field should be a number.
                </small>
            </div>
        </div>
        <div class="form-group col-4">
            <br>
            <button class="btn btn-success custom-margin" (click)="addLigneVente()">+ add</button>
        </div>
        </div>
    </div>
</form>
<br>
<div class="row justify-content-center">
    <jhi-alert></jhi-alert>
    <div class="alert alert-warning" *ngIf="ligneVentes?.length === 0">
        <span jhiTranslate="winpharmApp.ligneVente.home.notFound">No ligneVentes found</span>
    </div>
    <div class="table-responsive" *ngIf="ligneVentes?.length > 0">
        <table class="table table-striped">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
                    <th><span jhiTranslate="global.field.id">ID</span> </th>
                    <th><span jhiTranslate="winpharmApp.ligneVente.designationProduit">Designation Produit</span> </th>
                    <th><span jhiTranslate="winpharmApp.ligneVente.prixProduit">Prix Produit</span> </th>
                    <th><span jhiTranslate="winpharmApp.ligneVente.quantite">Quantite</span> </th>
                    <th><span jhiTranslate="winpharmApp.ligneVente.sousTotalHT">Sous Total HT</span> </th>
                    <th><span jhiTranslate="winpharmApp.ligneVente.sousTotal">Sous Total</span> </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let ligneVente of ligneVentes; trackBy: trackId">
                    <td>{{ligneVente.id}}</td>
                    <td>{{ligneVente.designationProduit}}</td>
                    <td>{{ligneVente.prixProduit}}</td>
                    <td>{{ligneVente.quantite}}</td>
                    <td>{{ligneVente.sousTotalHT}}</td>
                    <td>{{ligneVente.sousTotal}}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="button" class="btn btn-danger btn-sm" (click)="sendProduitDeleteRequest(ligneVente.produit.id, ligneVente.id)">
                                <fa-icon [icon]="'times'"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
